goto start
:usage
echo off
cls
echo ͻ 
echo     extrregl.bat -- extract information about one            
echo                     (originally, regional, but now not       
echo                     so limited) distributor from VENDINFO    
echo                     record, writing result to out_file       
echo                                                              
echo     usage:                                                   
echo            extrregl filename number out_file                 
echo     where:                                                   
echo            filename = pathname of VENDINFO file              
echo                                                              
echo            number   = distributor number (1, 2, ...)         
echo                                                              
echo            out_file = pathname of output file                
echo                                                              
echo     example:                                                 
echo            extrregl incxt11.pkg 1 sample.prn                 
echo                                                              
echo  Copyright 1993-94 Rams' Island Software All Rights Reserved 
echo    Rams' Island Software, 7644 Lakecliff, Parker CO 80134    
echo ͼ
goto exit

:start
rem ----- test for presence of required arguments -------------------
if %1.==. goto usage
if %2.==. goto usage
if %3.==. goto usage

vendprcs %1 -er%2a -na
if errorlevel 51 goto exit
vendprcs                 -y " "                               >> %3
vendprcs                 -y "      Distributor:"              >> %3
vendprcs %1 -xr%2r       -y "                    Area: @" -na >> %3
vendprcs %1 -xr%2a -zi26 -y "            Name/Address: @" -na >> %3
vendprcs %1 -xr%2t       -y "         Toll-free Phone: @" -na >> %3
vendprcs %1 -xr%2p       -y "             Voice Phone: @" -na >> %3
vendprcs %1 -xr%2f       -y "               FAX Phone: @" -na >> %3
vendprcs %1 -xr%2ms      -y "                 Support: @" -na >> %3
vendprcs %1 -xr%2mo      -y "            Sole Support: @" -na >> %3
vendprcs %1 -xr%2md      -y "              Other Dist: @" -na >> %3
vendprcs %1 -xr%2mj      -y "                   Press: @" -na >> %3
vendprcs %1 -xr%2ma      -y "            Author Ships: @" -na >> %3
vendprcs %1 -xr%2mc      -y "           Enable Credit: @" -na >> %3
vendprcs %1 -xr%2mp      -y "           Enable Prices: @" -na >> %3
vendprcs %1 -er%2mc
if errorlevel 51 goto nocredit
vendprcs %1 -zn -y "            Credit Cards: "  -na >> %3
vendprcs %1 -xr%2ce -zn -zt "Access/Euro "       -na >> %3
vendprcs %1 -xr%2ca -zn -zt "Amex "              -na >> %3
vendprcs %1 -xr%2cc -zn -zt "Diner's "           -na >> %3
vendprcs %1 -xr%2cd -zn -zt "Discover "          -na >> %3
vendprcs %1 -xr%2cm -zn -zt "MasterCard "        -na >> %3
vendprcs %1 -xr%2cv -zn -zt "VISA "              -na >> %3
vendprcs %1          -y " "                           -na >> %3
vendprcs %1 -xr%2xms -y "         Pay: In-Ctry MO: @" -na >> %3
vendprcs %1 -xr%2xmi -y "         Pay: Internl MO: @" -na >> %3
vendprcs %1 -xr%2xps -y "         Pay: CkPersSame: @" -na >> %3
vendprcs %1 -xr%2xph -y "         Pay: CkPrsHrdSn: @" -na >> %3
vendprcs %1 -xr%2xpr -y "         Pay: CkPrsHrdRe: @" -na >> %3
vendprcs %1 -xr%2xpo -y "         Pay: CkPrsOther: @" -na >> %3
vendprcs %1 -xr%2xbs -y "         Pay: CkBankSame: @" -na >> %3
vendprcs %1 -xr%2xbh -y "         Pay: CkBnkHrdSn: @" -na >> %3
vendprcs %1 -xr%2xbr -y "         Pay: CkBnkHrdRe: @" -na >> %3
vendprcs %1 -xr%2xbo -y "         Pay: CkBnkOther: @" -na >> %3
vendprcs %1 -xr%2xcs -y "         Pay:   CashSame: @" -na >> %3
vendprcs %1 -xr%2xch -y "         Pay:   CashHard: @" -na >> %3
vendprcs %1 -xr%2xco -y "         Pay:  CashOther: @" -na >> %3
vendprcs %1 -xr%2xts -y "         Pay: TravCkSame: @" -na >> %3
vendprcs %1 -xr%2xto -y "         Pay: TrvCkOther: @" -na >> %3
vendprcs %1 -xr%2xa  -y "         Pay:     AmexMO: @" -na >> %3
vendprcs %1 -xr%2xe  -y "         Pay: EuroCheque: @" -na >> %3
vendprcs %1 -xr%2xd  -y "         Pay: DirectBank: @" -na >> %3
vendprcs %1 -xr%2xon -y "         Pay:   PONumber: @" -na >> %3
vendprcs %1 -xr%2xoh -y "         Pay:   POHrdcpy: @" -na >> %3
:nocredit
vendprcs %1 -er%2mp
if errorlevel 51 goto exit
vendprcs %1 -xr%2c  -y "         Prices Currency: @" -na >> %3
vendprcs %1 -xr%2i1 -y "           Minimum Price: @" -na >> %3
vendprcs %1 -xr%2i2 -y "           Maximum Price: @" -na >> %3
vendprcs            -y "        Shipping and Handlg"           >> %3
vendprcs %1 -xr%2sc -y "            Same Country: @" -na >> %3
vendprcs %1 -xr%2sn -y "           North America: @" -na >> %3
vendprcs %1 -xr%2ss -y "           South America: @" -na >> %3
vendprcs %1 -xr%2se -y "                  Europe: @" -na >> %3
vendprcs %1 -xr%2sa -y "                    Asia: @" -na >> %3
vendprcs %1 -xr%2sf -y "                  Africe: @" -na >> %3
vendprcs %1 -xr%2sp -y "             Pacific Rim: @" -na >> %3

:exit
